TSHOSTLOOKUPRESULTADDRGET(3ts)

NAME
TSHostLookupResultAddrGet - TSHostLookupResultAddrGet API function

SYNOPSIS

            #include <ts/ts.h>

    sockaddr const *TSHostLookupResultAddrGet(TSHostLookupResult lookup_result)

DESCRIPTION

Retrieves the pointer to a sockaddr of a the given lookup_result from a previous call to TSHostLookup().

For example:

            int
            handler(TSCont contp, TSEvent event, void *edata) {
                if (event == TS_EVENT_HOST_LOOKUP) {
                    const sockaddr *addr = TSHostLookupResultAddrGet(static_cast<TSHostLookupResult>(edata));
                    // TODO Add logic here.
                }
            }

COPYRIGHT
2024, dev@trafficserver.apache.org